Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
Class StandardJavadocDocletOptions

    java.lang.Object
      org.gradle.external.javadoc.CoreJavadocOptions
          org.gradle.external.javadoc.StandardJavadocDocletOptions

All Implemented Interfaces:
  MinimalJavadocOptions

    public class StandardJavadocDocletOptions

extends CoreJavadocOptions
implements MinimalJavadocOptions

Field Summary
`JavadocOptionFileOption<java.lang.Boolean>` | `noTimestamp` -notimestamp

Constructor Summary
`StandardJavadocDocletOptions()`
`StandardJavadocDocletOptions(JavadocOptionFile javadocOptionFile)`

Method Summary
`StandardJavadocDocletOptions` | `author()`
`StandardJavadocDocletOptions` | `author(boolean author)`
`StandardJavadocDocletOptions` | `bottom(java.lang.String bottom)`
`StandardJavadocDocletOptions` | `charSet(java.lang.String charSet)`
`StandardJavadocDocletOptions` | `destinationDirectory(java.io.File destinationDirectory)`
`StandardJavadocDocletOptions` | `docEncoding(java.lang.String docEncoding)`
`StandardJavadocDocletOptions` | `docFilesSubDirs()`
`StandardJavadocDocletOptions` | `docFilesSubDirs(boolean docFilesSubDirs)`
`StandardJavadocDocletOptions` | `docTitle(java.lang.String docTitle)`
`StandardJavadocDocletOptions` | `excludeDocFilesSubDir(java.util.List<java.lang.String> excludeDocFilesSubDir)`
`StandardJavadocDocletOptions` | `excludeDocFilesSubDir(java.lang.String... excludeDocFilesSubDir)`
`StandardJavadocDocletOptions` | `footer(java.lang.String footer)`
`java.lang.String` | `getBottom()`
`java.lang.String` | `getCharSet()`
`java.io.File` | `getDestinationDirectory()`
`java.lang.String` | `getDocEncoding()`
`java.lang.String` | `getDocTitle()`
`java.util.List<java.lang.String>` | `getExcludeDocFilesSubDir()`
`java.lang.String` | `getFooter()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getGroups()`
`java.io.File` | `getHelpFile()`
`java.util.List<java.lang.String>` | `getLinks()`
`java.util.List<JavadocOfflineLink>` | `getLinksOffline()`
`java.util.List<java.lang.String>` | `getNoQualifiers()`
`java.io.File` | `getStylesheetFile()`
`java.util.List<java.io.File>` | `getTagletPath()`
`java.util.List<java.lang.String>` | `getTags()`
`java.lang.String` | `getWindowTitle()`
`StandardJavadocDocletOptions` | `group(java.util.Map<java.lang.String,java.util.List<java.lang.String>> groups)`
`StandardJavadocDocletOptions` | `group(java.lang.String groupName, java.util.List<java.lang.String> packagePatterns)`
`StandardJavadocDocletOptions` | `group(java.lang.String groupName, java.lang.String... packagePatterns)`
`StandardJavadocDocletOptions` | `groupsFile(java.io.File groupsFile)`
`StandardJavadocDocletOptions` | `helpFile(java.io.File helpFile)`
`boolean` | `isAuthor()`
`boolean` | `isDocFilesSubDirs()`
`boolean` | `isKeyWords()`
`boolean` | `isLinkSource()`
`boolean` | `isNoComment()`
`boolean` | `isNoDeprecated()`
`boolean` | `isNoDeprecatedList()`
`boolean` | `isNoHelp()`
`boolean` | `isNoIndex()`
`boolean` | `isNoNavBar()`
`boolean` | `isNoSince()`
`boolean` | `isNoTimestamp()`
`boolean` | `isNoTree()`
`boolean` | `isSerialWarn()`
`boolean` | `isSplitIndex()`
`boolean` | `isUse()`
`boolean` | `isVersion()`
`StandardJavadocDocletOptions` | `keyWords()`
`StandardJavadocDocletOptions` | `keyWords(boolean keyWords)`
`StandardJavadocDocletOptions` | `links(java.lang.String... links)`
`StandardJavadocDocletOptions` | `linksFile(java.io.File linksFile)`
`StandardJavadocDocletOptions` | `linksOffline(java.lang.String extDocUrl, java.lang.String packageListLoc)`
`StandardJavadocDocletOptions` | `linksOfflineFile(java.io.File linksOfflineFile)`
`StandardJavadocDocletOptions` | `linkSource()`
`StandardJavadocDocletOptions` | `linkSource(boolean linkSource)`
`StandardJavadocDocletOptions` | `noComment()`
`StandardJavadocDocletOptions` | `noComment(boolean noComment)`
`StandardJavadocDocletOptions` | `noDeprecated()`
`StandardJavadocDocletOptions` | `noDeprecated(boolean nodeprecated)`
`StandardJavadocDocletOptions` | `noDeprecatedList()`
`StandardJavadocDocletOptions` | `noDeprecatedList(boolean noDeprecatedList)`
`StandardJavadocDocletOptions` | `noHelp()`
`StandardJavadocDocletOptions` | `noHelp(boolean noHelp)`
`StandardJavadocDocletOptions` | `noIndex()`
`StandardJavadocDocletOptions` | `noIndex(boolean noIndex)`
`StandardJavadocDocletOptions` | `noNavBar()`
`StandardJavadocDocletOptions` | `noNavBar(boolean noNavBar)`
`StandardJavadocDocletOptions` | `noQualifier(java.util.List<java.lang.String> noQualifiers)`
`StandardJavadocDocletOptions` | `noQualifiers(java.lang.String... noQualifiers)`
`StandardJavadocDocletOptions` | `noSince()`
`StandardJavadocDocletOptions` | `noSince(boolean noSince)`
`StandardJavadocDocletOptions` | `noTimestamp()`
`StandardJavadocDocletOptions` | `noTimestamp(boolean noTimestamp)`
`StandardJavadocDocletOptions` | `noTree()`
`StandardJavadocDocletOptions` | `noTree(boolean noTree)`
`StandardJavadocDocletOptions` | `serialWarn()`
`StandardJavadocDocletOptions` | `serialWarn(boolean serialWarn)`
`void` | `setAuthor(boolean author)`
`void` | `setBottom(java.lang.String bottom)`
`void` | `setCharSet(java.lang.String charSet)`
`void` | `setDestinationDirectory(java.io.File directory)`
`void` | `setDocEncoding(java.lang.String docEncoding)`
`void` | `setDocFilesSubDirs(boolean docFilesSubDirs)`
`void` | `setDocTitle(java.lang.String docTitle)`
`void` | `setExcludeDocFilesSubDir(java.util.List<java.lang.String> excludeDocFilesSubDir)`
`void` | `setFooter(java.lang.String footer)`
`void` | `setGroups(java.util.Map<java.lang.String,java.util.List<java.lang.String>> groups)`
`void` | `setHelpFile(java.io.File helpFile)`
`void` | `setKeyWords(boolean keyWords)`
`void` | `setLinks(java.util.List<java.lang.String> links)`
`void` | `setLinksOffline(java.util.List<JavadocOfflineLink> linksOffline)`
`void` | `setLinkSource(boolean linkSource)`
`void` | `setNoComment(boolean noComment)`
`void` | `setNoDeprecated(boolean noDeprecated)`
`void` | `setNoDeprecatedList(boolean noDeprecatedList)`
`void` | `setNoHelp(boolean noHelp)`
`void` | `setNoIndex(boolean noIndex)`
`void` | `setNoNavBar(boolean noNavBar)`
`void` | `setNoQualifiers(java.util.List<java.lang.String> noQualifiers)`
`void` | `setNoSince(boolean noSince)`
`void` | `setNoTimestamp(boolean noTimestamp)`
`void` | `setNoTree(boolean noTree)`
`void` | `setSerialWarn(boolean serialWarn)`
`void` | `setSplitIndex(boolean splitIndex)`
`void` | `setStylesheetFile(java.io.File stylesheetFile)`
`void` | `setTagletPath(java.util.List<java.io.File> tagletPath)`
`void` | `setTags(java.util.List<java.lang.String> tags)`
`void` | `setUse(boolean use)`
`void` | `setVersion(boolean version)`
`void` | `setWindowTitle(java.lang.String windowTitle)`
`StandardJavadocDocletOptions` | `splitIndex()`
`StandardJavadocDocletOptions` | `splitIndex(boolean splitIndex)`
`StandardJavadocDocletOptions` | `stylesheetFile(java.io.File stylesheetFile)`
`StandardJavadocDocletOptions` | `tagletPath(java.io.File... tagletPath)`
`StandardJavadocDocletOptions` | `tagletPath(java.util.List<java.io.File> tagletPath)`
`StandardJavadocDocletOptions` | `taglets(java.lang.String... taglets)`
`StandardJavadocDocletOptions` | `tags(java.util.List<java.lang.String> tags)`
`StandardJavadocDocletOptions` | `tags(java.lang.String... tags)`
`StandardJavadocDocletOptions` | `tagsFile(java.io.File tagsFile)`
`StandardJavadocDocletOptions` | `use()`
`StandardJavadocDocletOptions` | `use(boolean use)`
`StandardJavadocDocletOptions` | `version()`
`StandardJavadocDocletOptions` | `version(boolean version)`
`StandardJavadocDocletOptions` | `windowTitle(java.lang.String windowTitle)`

Methods inherited from class org.gradle.external.javadoc.CoreJavadocOptions
`addBooleanOption, addBooleanOption, addEnumOption, addEnumOption, addFileOption, addFileOption, addMultilineStringsOption, addOption, addPathOption, addPathOption, addStringOption, addStringOption, addStringsOption, addStringsOption, bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletClasspath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletClasspath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletClasspath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.external.javadoc.MinimalJavadocOptions
`bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletClasspath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletClasspath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletClasspath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`

Field Detail

### noTimestamp

    public final JavadocOptionFileOption<java.lang.Boolean> noTimestamp

  -notimestamp

Constructor Detail

### StandardJavadocDocletOptions

    public StandardJavadocDocletOptions()

### StandardJavadocDocletOptions

    public StandardJavadocDocletOptions(JavadocOptionFile javadocOptionFile)

Method Detail

### getDestinationDirectory

    public java.io.File getDestinationDirectory()

  Specified by:
    `getDestinationDirectory` in interface `MinimalJavadocOptions`

### setDestinationDirectory

    public void setDestinationDirectory(java.io.File directory)

  Specified by:
    `setDestinationDirectory` in interface `MinimalJavadocOptions`

### destinationDirectory

    public StandardJavadocDocletOptions destinationDirectory(java.io.File destinationDirectory)

  Specified by:
    `destinationDirectory` in interface `MinimalJavadocOptions`

### isUse

    public boolean isUse()

### setUse

    public void setUse(boolean use)

### use

    public StandardJavadocDocletOptions use(boolean use)

### use

    public StandardJavadocDocletOptions use()

### isVersion

    public boolean isVersion()

### setVersion

    public void setVersion(boolean version)

### version

    public StandardJavadocDocletOptions version(boolean version)

### version

    public StandardJavadocDocletOptions version()

### isAuthor

    public boolean isAuthor()

### setAuthor

    public void setAuthor(boolean author)

### author

    public StandardJavadocDocletOptions author(boolean author)

### author

    public StandardJavadocDocletOptions author()

### isSplitIndex

    public boolean isSplitIndex()

### setSplitIndex

    public void setSplitIndex(boolean splitIndex)

### splitIndex

    public StandardJavadocDocletOptions splitIndex(boolean splitIndex)

### splitIndex

    public StandardJavadocDocletOptions splitIndex()

### getWindowTitle

    public java.lang.String getWindowTitle()

  Specified by:
    `getWindowTitle` in interface `MinimalJavadocOptions`

### setWindowTitle

    public void setWindowTitle(java.lang.String windowTitle)

  Specified by:
    `setWindowTitle` in interface `MinimalJavadocOptions`

### windowTitle

    public StandardJavadocDocletOptions windowTitle(java.lang.String windowTitle)

  Specified by:
    `windowTitle` in interface `MinimalJavadocOptions`

### getDocTitle

    public java.lang.String getDocTitle()

### setDocTitle

    public void setDocTitle(java.lang.String docTitle)

### docTitle

    public StandardJavadocDocletOptions docTitle(java.lang.String docTitle)

### getFooter

    public java.lang.String getFooter()

### setFooter

    public void setFooter(java.lang.String footer)

### footer

    public StandardJavadocDocletOptions footer(java.lang.String footer)

### getBottom

    public java.lang.String getBottom()

### setBottom

    public void setBottom(java.lang.String bottom)

### bottom

    public StandardJavadocDocletOptions bottom(java.lang.String bottom)

### getLinks

    public java.util.List<java.lang.String> getLinks()

### setLinks

    public void setLinks(java.util.List<java.lang.String> links)

### links

    public StandardJavadocDocletOptions links(java.lang.String... links)

### linksFile

    public StandardJavadocDocletOptions linksFile(java.io.File linksFile)

### getLinksOffline

    public java.util.List<JavadocOfflineLink> getLinksOffline()

### setLinksOffline

    public void setLinksOffline(java.util.List<JavadocOfflineLink> linksOffline)

### linksOffline

    public StandardJavadocDocletOptions linksOffline(java.lang.String extDocUrl,
                                                     java.lang.String packageListLoc)

### linksOfflineFile

    public StandardJavadocDocletOptions linksOfflineFile(java.io.File linksOfflineFile)

### isLinkSource

    public boolean isLinkSource()

### setLinkSource

    public void setLinkSource(boolean linkSource)

### linkSource

    public StandardJavadocDocletOptions linkSource(boolean linkSource)

### linkSource

    public StandardJavadocDocletOptions linkSource()

### getGroups

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getGroups()

### setGroups

    public void setGroups(java.util.Map<java.lang.String,java.util.List<java.lang.String>> groups)

### group

    public StandardJavadocDocletOptions group(java.util.Map<java.lang.String,java.util.List<java.lang.String>> groups)

### group

    public StandardJavadocDocletOptions group(java.lang.String groupName,
                                              java.util.List<java.lang.String> packagePatterns)

### group

    public StandardJavadocDocletOptions group(java.lang.String groupName,
                                              java.lang.String... packagePatterns)

### groupsFile

    public StandardJavadocDocletOptions groupsFile(java.io.File groupsFile)

### isNoDeprecated

    public boolean isNoDeprecated()

### setNoDeprecated

    public void setNoDeprecated(boolean noDeprecated)

### noDeprecated

    public StandardJavadocDocletOptions noDeprecated(boolean nodeprecated)

### noDeprecated

    public StandardJavadocDocletOptions noDeprecated()

### isNoDeprecatedList

    public boolean isNoDeprecatedList()

### setNoDeprecatedList

    public void setNoDeprecatedList(boolean noDeprecatedList)

### noDeprecatedList

    public StandardJavadocDocletOptions noDeprecatedList(boolean noDeprecatedList)

### noDeprecatedList

    public StandardJavadocDocletOptions noDeprecatedList()

### isNoSince

    public boolean isNoSince()

### setNoSince

    public void setNoSince(boolean noSince)

### noSince

    public StandardJavadocDocletOptions noSince(boolean noSince)

### noSince

    public StandardJavadocDocletOptions noSince()

### isNoTree

    public boolean isNoTree()

### setNoTree

    public void setNoTree(boolean noTree)

### noTree

    public StandardJavadocDocletOptions noTree(boolean noTree)

### noTree

    public StandardJavadocDocletOptions noTree()

### isNoIndex

    public boolean isNoIndex()

### setNoIndex

    public void setNoIndex(boolean noIndex)

### noIndex

    public StandardJavadocDocletOptions noIndex(boolean noIndex)

### noIndex

    public StandardJavadocDocletOptions noIndex()

### isNoHelp

    public boolean isNoHelp()

### setNoHelp

    public void setNoHelp(boolean noHelp)

### noHelp

    public StandardJavadocDocletOptions noHelp(boolean noHelp)

### noHelp

    public StandardJavadocDocletOptions noHelp()

### isNoNavBar

    public boolean isNoNavBar()

### setNoNavBar

    public void setNoNavBar(boolean noNavBar)

### noNavBar

    public StandardJavadocDocletOptions noNavBar(boolean noNavBar)

### noNavBar

    public StandardJavadocDocletOptions noNavBar()

### getHelpFile

    public java.io.File getHelpFile()

### setHelpFile

    public void setHelpFile(java.io.File helpFile)

### helpFile

    public StandardJavadocDocletOptions helpFile(java.io.File helpFile)

### getStylesheetFile

    public java.io.File getStylesheetFile()

### setStylesheetFile

    public void setStylesheetFile(java.io.File stylesheetFile)

### stylesheetFile

    public StandardJavadocDocletOptions stylesheetFile(java.io.File stylesheetFile)

### isSerialWarn

    public boolean isSerialWarn()

### setSerialWarn

    public void setSerialWarn(boolean serialWarn)

### serialWarn

    public StandardJavadocDocletOptions serialWarn(boolean serialWarn)

### serialWarn

    public StandardJavadocDocletOptions serialWarn()

### getCharSet

    public java.lang.String getCharSet()

### setCharSet

    public void setCharSet(java.lang.String charSet)

### charSet

    public StandardJavadocDocletOptions charSet(java.lang.String charSet)

### getDocEncoding

    public java.lang.String getDocEncoding()

### setDocEncoding

    public void setDocEncoding(java.lang.String docEncoding)

### docEncoding

    public StandardJavadocDocletOptions docEncoding(java.lang.String docEncoding)

### isKeyWords

    public boolean isKeyWords()

### setKeyWords

    public void setKeyWords(boolean keyWords)

### keyWords

    public StandardJavadocDocletOptions keyWords(boolean keyWords)

### keyWords

    public StandardJavadocDocletOptions keyWords()

### getTags

    public java.util.List<java.lang.String> getTags()

### setTags

    public void setTags(java.util.List<java.lang.String> tags)

### tags

    public StandardJavadocDocletOptions tags(java.util.List<java.lang.String> tags)

### tags

    public StandardJavadocDocletOptions tags(java.lang.String... tags)

### taglets

    public StandardJavadocDocletOptions taglets(java.lang.String... taglets)

### tagsFile

    public StandardJavadocDocletOptions tagsFile(java.io.File tagsFile)

### getTagletPath

    public java.util.List<java.io.File> getTagletPath()

### setTagletPath

    public void setTagletPath(java.util.List<java.io.File> tagletPath)

### tagletPath

    public StandardJavadocDocletOptions tagletPath(java.util.List<java.io.File> tagletPath)

### tagletPath

    public StandardJavadocDocletOptions tagletPath(java.io.File... tagletPath)

### isDocFilesSubDirs

    public boolean isDocFilesSubDirs()

### setDocFilesSubDirs

    public void setDocFilesSubDirs(boolean docFilesSubDirs)

### docFilesSubDirs

    public StandardJavadocDocletOptions docFilesSubDirs(boolean docFilesSubDirs)

### docFilesSubDirs

    public StandardJavadocDocletOptions docFilesSubDirs()

### getExcludeDocFilesSubDir

    public java.util.List<java.lang.String> getExcludeDocFilesSubDir()

### setExcludeDocFilesSubDir

    public void setExcludeDocFilesSubDir(java.util.List<java.lang.String> excludeDocFilesSubDir)

### excludeDocFilesSubDir

    public StandardJavadocDocletOptions excludeDocFilesSubDir(java.util.List<java.lang.String> excludeDocFilesSubDir)

### excludeDocFilesSubDir

    public StandardJavadocDocletOptions excludeDocFilesSubDir(java.lang.String... excludeDocFilesSubDir)

### getNoQualifiers

    public java.util.List<java.lang.String> getNoQualifiers()

### setNoQualifiers

    public void setNoQualifiers(java.util.List<java.lang.String> noQualifiers)

### noQualifier

    public StandardJavadocDocletOptions noQualifier(java.util.List<java.lang.String> noQualifiers)

### noQualifiers

    public StandardJavadocDocletOptions noQualifiers(java.lang.String... noQualifiers)

### isNoTimestamp

    public boolean isNoTimestamp()

### setNoTimestamp

    public void setNoTimestamp(boolean noTimestamp)

### noTimestamp

    public StandardJavadocDocletOptions noTimestamp(boolean noTimestamp)

### noTimestamp

    public StandardJavadocDocletOptions noTimestamp()

### isNoComment

    public boolean isNoComment()

### setNoComment

    public void setNoComment(boolean noComment)

### noComment

    public StandardJavadocDocletOptions noComment(boolean noComment)

### noComment

    public StandardJavadocDocletOptions noComment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD